## freefem 3.5.4-1

=== debian/changelog ===
freefem (3.5.4-1) unstable; urgency=low

  * sync with upstream
  * applied patch from James Stroup to upstream(closes: #115483)
  * suggest acroread for the freefem documentation manual

 -- Christophe Prud'homme <prudhomm@mit.edu>  Sat, 20 Oct 2001 15:14:15 -0400

freefem (3.5.3-2) unstable; urgency=low

  * Build-Depends on xlibs-dev (>> 4.1.0) and not xlibs(>> 4.1.0) (closes: #115231)

 -- Christophe Prud'homme <prudhomm@mit.edu>  Thu, 11 Oct 2001 15:59:27 -0400

freefem (3.5.3-1) unstable; urgency=low

  * new upstream

 -- Christophe Prud'homme <prudhomm@mit.edu>  Mon,  8 Oct 2001 00:30:10 -0400

freefem (3.5.2-1) unstable; urgency=low

  * new upstream release
  * now freefem is split in 4 packages

 -- Christophe Prud'homme <prudhomm@users.sourceforge.net>  Thu,  3 Aug 2000 17:02:23 -0400

freefem (3.5.1-1) stable; urgency=low

  * changes debain config

 -- Christophe Prud'homme <prudhomm@users.sourceforge.net>  Tue, 13 Jun 2000 20:30:37 -0400

freefem (3.4.0-1) unstable; urgency=low

  * Initial Release.
    Now it seems that I know how to build a debian package
    Hopefully it is ok now!

 -- Christophe Prud'homme <prudhomm@users.sourceforge.net>  Sat,  7 Aug 1999 17:01:41 +0200
