=== debian/control ===
Source: freefem
Build-Depends: debhelper (>> 3.0.0), automake1.5, autoconf (>> 2.50), libtool, g++ (>> 2.95), xlibs-dev (>> 4.1.0), doxygen(>> 1.2.10), tetex-bin, tetex-extra, latex2html
Section: math
Priority: optional
Maintainer: Christophe Prud'homme <prudhomm@mit.edu>
Standards-Version: 3.5.5

Package: freefem
Architecture: any
Depends: libfreefem
Suggests: freefem-examples, acroread
Description: A pde oriented language using Finite Element Method.
 FreeFEM is a language adapted to Partial Differential equation. The
 underlying method used  is the Finite Element Method.
 This tool has been successfully used as a teaching tool and even as a 
 research tool. 
 .
 It can be seen a RSD ( Rapid Research Development (tm) :) ) to test new 
 ideas.
 
Package: freefem-examples
Architecture: all
Description: A pde oriented language using Finite Element Method.
 FreeFEM is a language adapted to Partial Differential equation. The
 underlying method used  is the Finite Element Method.
 This tool has been successfully used as a teaching tool and even as a 
 research tool. 
 .
 It can be seen a RSD ( Rapid Research Development (tm) :) ) to test new 
 ideas.
 
Package: libfreefem
Architecture: any
Depends: ${shlibs:Depends}
Description: Shared libraries for FreeFEM
 FreeFEM is a language adapted to Partial Differential equation. The
 underlying method used  is the Finite Element Method.
 This tool has been successfully used as a teaching tool and even as a 
 research tool. 
 .
 It can be seen a RSD ( Rapid Research Development (tm) :) ) to test new 
 ideas.
 
Package: libfreefem-dev
Architecture: any
Depends: libfreefem
Suggests: libfreefem-doc
Description: Development library, header files and manpages
 FreeFEM is a language adapted to Partial Differential equation. The
 underlying method used  is the Finite Element Method.
 This tool has been successfully used as a teaching tool and even as a 
 research tool. 
 .
 It can be seen a RSD ( Rapid Research Development (tm) :) ) to test new 
 ideas.

Package: libfreefem-doc
Architecture: all
Description: Html Documentation for FreeFEM development.
 FreeFEM is a language adapted to Partial Differential equation. The
 underlying method used  is the Finite Element Method.
 This tool has been successfully used as a teaching tool and even as a 
 research tool. 
 .
 It can be seen a RSD ( Rapid Research Development (tm) :) ) to test new 
 ideas.
