=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

config: config-stamp
config-stamp: Makefile.cvs configure.in
	dh_testdir
	make -f Makefile.cvs
	./configure --prefix=/usr --includedir=/usr/include/fem --mandir=/usr/share/man
	touch config-stamp
	if test -f build-stamp; then rm build-stamp; fi
	if test -f  install-stamp; then rm install-stamp; fi

doc: doc-stamp
doc-stamp: freefem.doxygen
	doxygen freefem.doxygen
	cd freefem-api/latex && make ps && make pdf
	touch doc-stamp

build:  config doc build-stamp 
build-stamp:
	dh_testdir
	$(MAKE) 
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp config-stamp
	-$(MAKE) distclean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	@mkdir -p `pwd`/debian/tmp/usr/share/doc/freefem/freefem
	@for i in doc/freefem/*; do \
	 install -m 644 $$i `pwd`/debian/tmp/usr/share/doc/freefem/freefem/;\
	done
	install -m 644 doc/freefem.pdf `pwd`/debian/tmp/usr/share/doc/freefem 
	@mkdir -p `pwd`/debian/tmp/usr/share/man/man3
	@for i in freefem-api/man/man3/*; do \
	 install -m 644 $$i `pwd`/debian/tmp/usr/share/man/man3;\
	done
	@mkdir -p `pwd`/debian/libfreefem-doc/usr/share/doc/libfreefem-doc/html
	@for i in freefem-api/html/*; do \
	 install -m 644 $$i `pwd`/debian/libfreefem-doc/usr/share/doc/libfreefem-doc/html;\
	done
	install -m 644 freefem-api/latex/refman.pdf `pwd`/debian/libfreefem-doc/usr/share/doc/libfreefem-doc/
	install -m 644 freefem-api/latex/refman.ps `pwd`/debian/libfreefem-doc/usr/share/doc/libfreefem-doc/
#	touch install-stamp

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_movefiles -i
	dh_installexamples -pfreefem-examples   `find examples -name "*.pde"` 
	dh_installchangelogs -i
	dh_compress -i
	dh_installdeb -i
	dh_fixperms -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_movefiles -a
	dh_installchangelogs -a
	dh_installchangelogs -p freefem ChangeLog
	dh_installchangelogs -p libfreefem ChangeLog
	dh_installchangelogs -p libfreefem-dev ChangeLog
	dh_installchangelogs -p libfreefem-doc ChangeLog
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
