## freefem 3.5.7-3

=== debian/changelog ===
freefem (3.5.7-3) unstable; urgency=low

  *  Build depends on hevea instead of latex2html using patch by Stefano
    Zacchiroli <zack@debian.org>  (closes: #221335)

 -- Christophe Prud'homme <prudhomm@mit.edu>  Fri,  9 Jan 2004 11:17:56 +0100

freefem (3.5.7-2) unstable; urgency=low

  * removed automake1.5 dependency thanks to Eric Dorland and Artur
    R. Czechowski for pointing this out. It was a remnant of an old build
    system. (closes: #205984) 
  * update Standards-Version to 3.6.0.0
  * use dh_install instead of dh_movefile
  * freefem-examples depends on freefem and there is a link to the example
    in /usr/share/doc/freefem/examples .

 -- Christophe Prud'homme <prudhomm@mit.edu>  Wed, 20 Aug 2003 10:38:31 +0200

freefem (3.5.7-1) unstable; urgency=low

  * move from g++-3.2 to g++ (back to normal)
  * fix the .dhelp 0 size file problem (closes: #161738)
  * don't do make ps( do generate pdf doc) anymore when generating the doc (closes: #166894)

 -- Christophe Prud'homme <prudhomm@mit.edu>  Fri, 28 Feb 2003 10:49:43 +0100

freefem (3.5.7-pre1v1) unstable; urgency=low

  * new upstream: minor fixes
  * now build-depends on g++-3.2

 -- Christophe Prud'homme <prudhomm@mit.edu>  Mon, 23 Sep 2002 13:35:11 -0400

freefem (3.5.6-5) unstable; urgency=low

  * dont use build-depends-indep (closes: #146099)

 -- Christophe Prud'homme <prudhomm@mit.edu>  Tue,  7 May 2002 08:42:10 -0400

freefem (3.5.6-4) unstable; urgency=low

  * Argh, dh_installexamples disappeared in previous version, re-add it now
  * now depends on g++-3.0 for all arch (closes: #146074)
  * clean up control a bit more
  * removed link to /usr/doc let debhelper do it (closes: #145805)

 -- Christophe Prud'homme <prudhomm@mit.edu>  Tue,  7 May 2002 01:04:01 -0400

freefem (3.5.6-3) unstable; urgency=low

  * fix the build-dependencies for g++ for good (closes: #141779)
  * fix build of arm (closes: #133022)
  * use library versioning now: starts with libfreefem0 (closes: #141800)
  * standalone build-indeps, should be cool for auto-builders
  * put all documentation (arch-indep) into freefem-doc or libfreefem-doc
  * do not compress pdf files they are already compressed
  * added configure and doc in the .PHONY rule

 -- Christophe Prud'homme <prudhomm@mit.edu>  Tue, 23 Apr 2002 22:43:32 -0400

freefem (3.5.6-2) unstable; urgency=low

  * fix the build-dependencies for g++  (closes: #141779)

 -- Christophe Prud'homme <prudhomm@mit.edu>  Mon,  8 Apr 2002 09:24:51 -0400

freefem (3.5.6-1) unstable; urgency=low

  * sync with upstream
  * now uses g++-3.0 for all platforms
  * fixed internal compiler error on arm with g++-3.0 usage (closes: #133022)

 -- Christophe Prud'homme <prudhomm@mit.edu>  Sat,  6 Apr 2002 13:50:15 -0500

freefem (3.5.5-2) unstable; urgency=low

  * now Suggests dhelp
  * touch .dhelp in /usr/share/doc/libfreefem-doc/html and force link in /usr/doc (closes: #127146, #116756)

 -- Christophe Prud'homme <prudhomm@mit.edu>  Tue, 29 Jan 2002 20:47:19 -0500

freefem (3.5.5-1) unstable; urgency=low

  * sync with upstream
  * added some ideas from autotools README  ideas: config.{sub,guess} and
    correct arch
  * fix gcc 3.0 miscompilation thanks to sync with upstream. Fix
    micompilation on hppa architecture.(closes: #124291) 

 -- Christophe Prud'homme <prudhomm@mit.edu>  Sat, 29 Dec 2001 17:11:54 -0500
