=== debian/control ===
Source: freefem
Build-Depends: debhelper (>> 4.0.0), autoconf (>> 2.50), libtool, g++, xlibs-dev (>> 4.1.0), doxygen(>> 1.2.10), tetex-bin, tetex-extra, hevea, doc-base
Section: math
Priority: optional
Maintainer: Christophe Prud'homme <prudhomm@mit.edu>
Standards-Version: 3.6.1.0

Package: freefem
Architecture: any
Depends: libfreefem0 (= ${Source-Version})
Suggests: freefem-examples (= ${Source-Version}), freefem-doc (= ${Source-Version})
Description: A PDE oriented language using Finite Element Method
 FreeFEM is a language adapted to Partial Differential equation. The
 underlying method used  is the Finite Element Method.
 This tool has been successfully used as a teaching tool and even as a 
 research tool. 
 .
 It can be seen a RSD ( Rapid Research Development (tm) :) ) to test new 
 ideas.
 
Package: freefem-doc
Architecture: all
Suggests: xpdf | acroread
Description: Documentation for FreeFEM (html and pdf)
 FreeFEM is a language adapted to Partial Differential equation. The
 underlying method used  is the Finite Element Method.
 This tool has been successfully used as a teaching tool and even as a 
 research tool. 
 .
 It can be seen a RSD ( Rapid Research Development (tm) :) ) to test new 
 ideas.
 
Package: freefem-examples
Architecture: all
Depends: freefem
Description: Example files for FreeFEM
 FreeFEM is a language adapted to Partial Differential equation. The
 underlying method used  is the Finite Element Method.
 This tool has been successfully used as a teaching tool and even as a 
 research tool. 
 .
 It can be seen a RSD ( Rapid Research Development (tm) :) ) to test new 
 ideas.
 
Package: libfreefem0
Architecture: any
Depends: ${shlibs:Depends}
Replaces: libfreefem
Conflicts: libfreefem
Provides: libfreefem
Description: Shared libraries for FreeFEM
 FreeFEM is a language adapted to Partial Differential equation. The
 underlying method used  is the Finite Element Method.
 This tool has been successfully used as a teaching tool and even as a 
 research tool. 
 .
 It can be seen a RSD ( Rapid Research Development (tm) :) ) to test new 
 ideas.
 
Package: libfreefem-dev
Architecture: any
Depends: libfreefem0 (= ${Source-Version}), libc6-dev
Suggests: libfreefem-doc (= ${Source-Version})
Description: Development library, header files and manpages
 FreeFEM is a language adapted to Partial Differential equation. The
 underlying method used  is the Finite Element Method.
 This tool has been successfully used as a teaching tool and even as a 
 research tool. 
 .
 It can be seen a RSD ( Rapid Research Development (tm) :) ) to test new 
 ideas.

Package: libfreefem-doc
Architecture: all
Description: Documentation for FreeFEM development
 FreeFEM is a language adapted to Partial Differential equation. The
 underlying method used  is the Finite Element Method.
 This tool has been successfully used as a teaching tool and even as a 
 research tool. 
 .
 It can be seen a RSD ( Rapid Research Development (tm) :) ) to test new 
 ideas.
