## freefem 3.5.7-5

=== debian/changelog ===
freefem (3.5.7-5) unstable; urgency=low

  * Bug fix: "freefem: FTBFS: fails to build from source", thanks to
    Aurelien Jarno (Closes: #347213).

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon,  9 Jan 2006 23:37:57 +0100

freefem (3.5.7-4) unstable; urgency=low

  * Bug fix: "freefem: FTBFS: build-depends on removed xlibs-dev", thanks
    to Adeodato SimÃ³ (Closes: #346696).
  * Use pdf-viewer as a suggestion for the -doc package
  * Fixed lintian errors and some warnings
  * Fixed some linda warnings
  * Updated Standards-Version

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon,  9 Jan 2006 09:14:38 +0100
