=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: freefem
-Build-Depends: debhelper (>> 4.0.0), autoconf (>> 2.50), libtool, g++, xlibs-dev (>> 4.1.0), doxygen(>> 1.2.10), tetex-bin, tetex-extra, hevea, doc-base
+Build-Depends: debhelper (>> 4.0.0), autoconf (>> 2.50), libtool, libxt-dev, doxygen(>> 1.2.10), tetex-bin, tetex-extra, hevea, doc-base
 Section: math
 Priority: optional
-Maintainer: Christophe Prud'homme <prudhomm@mit.edu>
-Standards-Version: 3.6.1.0
+Maintainer: Christophe Prud'homme <prudhomm@debian.org>
+Standards-Version: 3.6.2
 
 Package: freefem
 Architecture: any
@@ -20,7 +20,7 @@
  
 Package: freefem-doc
 Architecture: all
-Suggests: xpdf | acroread
+Suggests: pdf-viewer
 Description: Documentation for FreeFEM (html and pdf)
  FreeFEM is a language adapted to Partial Differential equation. The
  underlying method used  is the Finite Element Method.
