=== debian/rules ===
--- 
+++ 
@@ -96,7 +96,7 @@
 	@for i in freefem-api/html/*; do \
 	 install -m 644 $$i `pwd`/debian/tmp/usr/share/doc/libfreefem-doc/html;\
 	done
-	cd  `pwd`/debian/tmp/usr/share/doc/freefem && ln -sf ../freefem-examples/examples/
+	cd  `pwd`/debian/tmp/usr/share/doc/freefem && ln -sf ../freefem-examples/examples
 #	install -m 644 freefem-api/latex/refman.pdf `pwd`/debian/libfreefem-doc/usr/share/doc/libfreefem-doc/
 #	touch install-stamp
