## freefem 3.5.8

=== debian/changelog ===
freefem (3.5.8-5.1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Aug 2015 23:25:54 +0000

freefem (3.5.8-5.1) unstable; urgency=low

  * Non-maintainer upload.
  [Hideki Yamane]
  * debian/rules
    - specify "-fi" option to autoreconf (Closes: #724199)

 -- YunQiang Su <syq@debian.org>  Thu, 17 Jul 2014 22:08:19 +0800

freefem (3.5.8-5) unstable; urgency=low

  * Team uploaded
  * Use doxygen-latex instead of texlive-latex-base
    texlive-latex-recommended (Closes: #616214)
  * Standards-Version updated to version 3.9.2
  * Package switched to the debian science team
  * Update of the copyright file
  * Missing debhelper-but-no-misc-depends fixed
  * la file removed
  * description-synopsis-starts-with-article fixed

  [ Rafael Laboissiere ]
  * debian/control: Added Vcs-Svn and Vcs-Browser fields to the Source section

  [ Daniel Leidert ]
  * debian/control: Put packages into the correct sections. Set Homepage
    field.
    (Standards-Version): Updated to latest version 3.7.3.
    (Depends, Suggests): Cleaned up. Replaced Source-Version variables.
  * debian/copyright: Added license information.
  * debian/dirs: Removed.
  * debian/docs: Removed.
  * debian/freefem.1: Fixed a GROFF issue to make lintian happy. Small
    improvements to the content and code.
  * debian/freefem-doc.doc-base (Section): Fixed for doc-base 0.8.10.
  * debian/rules: Set DEB_INSTALL_DOCS_ALL in favour of debian/docs.
  * debian/watch: Added.

  [ Sylvestre Ledru ]
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Aug 2011 14:46:54 +0200

freefem (3.5.8-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    - add ${shlibs:Depends} (Closes: #553132)
    - use ${source:Version} or ${binary:Version} instead of ${Source-Version},
      which is deprecated

 -- David Paleino <dapal@debian.org>  Sun, 15 Nov 2009 10:27:39 +0100

freefem (3.5.8-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by Cyril Brulebois (Closes: #455278)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 17:38:46 +0100

freefem (3.5.8-4) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control:
    + Replaced build-dependencies on teTeX by the corresponding TeXLive ones
    + Removed useless build-dependency on doc-base
  * doc/freefem.tex: Use fancyhdr.sty instead of the deprecated
    fancyheadings.sty (closes: #421071)

  [ Andreas Barth ]
  * Actually upload.

 -- Andreas Barth <aba@not.so.argh.org>  Sat,  9 Jun 2007 22:34:17 +0000

freefem (3.5.8-3) unstable; urgency=low

  * Build-Depends on automake1.9

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 31 Jul 2006 15:34:38 +0200

freefem (3.5.8-2) unstable; urgency=low

  * Fix compilation

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 31 Jul 2006 14:52:43 +0200

freefem (3.5.8-1) unstable; urgency=low

  * New Upstream release (minor fixes and applied debian patches)
  * Bug fix: "freefem: FTBFS: bashisms", thanks to Julien Danjou (Closes:
    #378555).
  * Bug fix: "packaged as a native package", thanks to Matthias Klose
    (Closes: #315246).
  * Bug fix: "freefem: package description typo(s) and the like", thanks
    to Florian Zumbiehl (Closes: #299980).
  * Bug fix: "freefem-examples: package description typo(s) and the like",
    thanks to Florian Zumbiehl (Closes: #299982).
  * Bug fix: "freefem-doc: package description typo(s) and the like",
    thanks to Florian Zumbiehl (Closes: #299986).
  * Bug fix: "libfreefem-dev: package description typo(s) and the like",
    thanks to Florian Zumbiehl (Closes: #300005).
  * Bug fix: "libfreefem-doc: package description typo(s) and the like",
    thanks to Florian Zumbiehl (Closes: #300009).
  * Bug fix: "libfreefem0: package description typo(s) and the like",
    thanks to Florian Zumbiehl (Closes: #300021).

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 31 Jul 2006 09:53:11 +0200
