=== debian/control ===
Source: freefem
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>
Build-Depends: cdbs, debhelper (>> 5), autoconf, libtool, automake,
 libxt-dev, hevea, doxygen-latex, texlive-latex-base, texlive-latex-recommended,
 latex2html
Standards-Version: 3.9.2
Homepage: http://kfem.sourceforge.net
Vcs-Svn: svn://svn.debian.org/svn/debian-science/freefem/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/freefem/

Package: freefem
Architecture: any
Depends: libfreefem0v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends} 
Suggests: freefem-examples (= ${source:Version}), freefem-doc (= ${source:Version})
Description: PDE oriented language using Finite Element Method
 FreeFEM is a language adapted to Partial Differential equation. The
 underlying method used  is the Finite Element Method.
 This tool has been successfully used as a teaching tool and even as a 
 research tool.
 
Package: freefem-doc
Section: doc
Depends: ${misc:Depends} 
Architecture: all
Suggests: pdf-viewer
Description: Documentation for FreeFEM (html and pdf)
 FreeFEM is a language adapted to Partial Differential equation. The
 underlying method used  is the Finite Element Method.
 This tool has been successfully used as a teaching tool and even as a 
 research tool. 

Package: freefem-examples
Architecture: all
Depends: freefem, ${misc:Depends} 
Description: Example files for FreeFEM
 FreeFEM is a language adapted to Partial Differential equation. The
 underlying method used  is the Finite Element Method.
 This tool has been successfully used as a teaching tool and even as a 
 research tool. 
 
Package: libfreefem0v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Replaces: libfreefem0, libfreefem
Conflicts: libfreefem0, libfreefem
Provides: libfreefem
Description: Shared libraries for FreeFEM
 FreeFEM is a language adapted to Partial Differential equation. The
 underlying method used  is the Finite Element Method.
 This tool has been successfully used as a teaching tool and even as a 
 research tool. 
 
Package: libfreefem-dev
Section: libdevel
Architecture: any
Depends: libfreefem0v5 (= ${binary:Version}), ${misc:Depends} 
Suggests: libfreefem-doc (= ${source:Version})
Description: Development library, header files and manpages
 FreeFEM is a language adapted to Partial Differential equation. The
 underlying method used  is the Finite Element Method.
 This tool has been successfully used as a teaching tool and even as a 
 research tool. 

Package: libfreefem-doc
Section: doc
Depends: ${misc:Depends} 
Architecture: all
Description: Documentation for FreeFEM development
 FreeFEM is a language adapted to Partial Differential equation. The
 underlying method used  is the Finite Element Method.
 This tool has been successfully used as a teaching tool and even as a 
 research tool.
