=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originaly written by Robert Millan.
# This file is public domain.

DEB_TAR_SRCDIR                  := freefem-3.5.8
DEB_AUTO_CLEANUP_RCS            := yes

# Add here any variable or target overrides you need


include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_CONFIGURE_EXTRA_FLAGS := --includedir=/usr/include/fem
DEB_COMPRESS_EXCLUDE      := .pdf
DEB_INSTALL_DOCS_ALL      := FAQ NEWS README TODO

debian/stamp-autotools-files:
	libtoolize
	autoreconf -fi -I admin/

build/libfreefem-doc::
	doxygen freefem.doxygen
#	cd freefem-api/latex && make

build/freefem-doc::
	cd doc && pdflatex freefem && makeindex freefem && pdflatex freefem && pdflatex freefem
	cd doc && \
		rm -rf freefem && \
		mkdir freefem && \
		hevea -fix -o freefem/freefem.hevea freefem.tex && \
		cd freefem && \
		hacha freefem.hevea && \
		rm -f freefem.hevea *.haux *.hind *.htoc

cleanbuilddir/freefem-doc::
	rm -rf doc/freefem

cleanbuilddir/libfreefem-doc::
	rm -rf freefem-api/html
	rm -rf freefem-api/latex
	rm -rf freefem-api/man
