=== debian/watch ===
version=3
http://sf.net/kfem/freefem-([\d.]+)\.tar\.gz
